Partially update job
curl --request PATCH \
--url https://openapi.rocketpunch.com/api/v1/jobs/{jobId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'request={
"jobTitle": "<string>",
"jobSubtitle": "<string>",
"jobCategory": "<string>",
"seniorities": [],
"employmentTypes": [],
"jobBio": "<string>",
"jobResponse": "<string>",
"jobMinimumQual": "<string>",
"jobPreferQual": "<string>",
"jobBenefit": "<string>",
"jobHireProcess": "<string>",
"jobHireNotes": "<string>",
"email": "<string>",
"notifyEmails": [
"<string>"
],
"settings": [
{
"title": "<string>",
"required": false,
"uploadType": "ANY"
}
],
"military": false,
"veteran": false
}' \
--form 'images=<string>' \
--form images.items='@example-file'import requests
url = "https://openapi.rocketpunch.com/api/v1/jobs/{jobId}"
files = { "images.items": ("example-file", open("example-file", "rb")) }
payload = {
"request": "{
\"jobTitle\": \"<string>\",
\"jobSubtitle\": \"<string>\",
\"jobCategory\": \"<string>\",
\"seniorities\": [],
\"employmentTypes\": [],
\"jobBio\": \"<string>\",
\"jobResponse\": \"<string>\",
\"jobMinimumQual\": \"<string>\",
\"jobPreferQual\": \"<string>\",
\"jobBenefit\": \"<string>\",
\"jobHireProcess\": \"<string>\",
\"jobHireNotes\": \"<string>\",
\"email\": \"<string>\",
\"notifyEmails\": [
\"<string>\"
],
\"settings\": [
{
\"title\": \"<string>\",
\"required\": false,
\"uploadType\": \"ANY\"
}
],
\"military\": false,
\"veteran\": false
}",
"images": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('request', '{
"jobTitle": "<string>",
"jobSubtitle": "<string>",
"jobCategory": "<string>",
"seniorities": [],
"employmentTypes": [],
"jobBio": "<string>",
"jobResponse": "<string>",
"jobMinimumQual": "<string>",
"jobPreferQual": "<string>",
"jobBenefit": "<string>",
"jobHireProcess": "<string>",
"jobHireNotes": "<string>",
"email": "<string>",
"notifyEmails": [
"<string>"
],
"settings": [
{
"title": "<string>",
"required": false,
"uploadType": "ANY"
}
],
"military": false,
"veteran": false
}');
form.append('images', '<string>');
form.append('images.items', '{
"fileName": "example-file"
}');
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://openapi.rocketpunch.com/api/v1/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": 123,
"status": "<string>",
"hiring": true,
"title": "<string>",
"seniorities": [
"<string>"
],
"employmentTypes": [
"<string>"
],
"webUrl": "<string>",
"subtitle": "<string>",
"jobCategory": "<string>",
"workType": "<string>",
"startAt": "<string>",
"endAt": "<string>"
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}Jobs
Partially update job
Partially updates a PLATFORM job posting. Only submitted fields are changed. type=PLATFORM is required. Requires the job:write scope.
Authentication: The Authorization: Bearer <jwt> header is required.
Required OAuth scope: job:write.
PATCH
/
api
/
v1
/
jobs
/
{jobId}
Partially update job
Authorizations
Access token for user-context authentication. Send it in the Authorization: Bearer <jwt> header. Use the token your OAuth client app obtained via the Authorization Code + PKCE flow.
Headers
Supported response locales: ko, en, ja, zh-CN, zh-TW, es, fr, de, pt, th, vi. Default is ko.
Example:
"ko"
Path Parameters
Query Parameters
Job type to update. The supported value is PLATFORM.
Available options:
PLATFORM Company handle
Maximum string length:
255Pattern:
^[A-Za-z0-9_-]+$Was this page helpful?
⌘I